///////////////////BACK TO FRONT ROTATION VARIABLES/////////
//////////////////THESE VARIABLES CONTROLE DEGREES/////////
int backToFrontrotationMode = 1;
float b2fdeg = 135;
float b2frad = radians(b2fdeg);
/////////////////AND TIMING OF THE ROTATION/////////////
boolean b2frotateActv = false;
long b2ftime1;
long b2ftime2;
long b2ftime3;
long b2ftime4;
long b2ftime5;
long b2ftimed = 1100;



void backToFrontRotation() {
  rotationBF = true;
  pushMatrix();
  translate(830, 780);
  rotate(PI);
  prints();

  switch(backToFrontrotationMode) {
  case 1:
    bfade2();
    audio.play();
    audio.pan(1);
    backToFrontrotationStep1();
    break;

  case 2:
    bfade1();
    audio.play();
    audio.pan(-1);
    backToFrontrotationStep2();
    break;

  case 3:

    bfade2();
    audio.play();
    audio.pan(1);
    backToFrontrotationStep3();
    break;

  case 4:

    bfade1();
    audio.play();
    audio.pan(-1);
    backToFrontrotationStep4();
    break;

  case 5:

    RightDim = LeftDim = 255;
    mode = 1;
    break;
  }
  popMatrix();
}


void backToFrontrotationStep1() {
  background(0);
  int grad = 97;
  float rad = radians (grad);
  pushMatrix();
  translate(LeftX+27, LeftY+stepLenght/2-30);
  rotate(rad); 
  tint (255, LeftDim);
  image(left,0, 0, LeftWidth, LeftHeight);
  popMatrix();


  if (b2frotateActv == false) {
    b2frotateActv = true;
    b2ftime1 = millis();
  }

  if (millis()- b2ftime1> b2ftimed && b2frotateActv == true){
    b2ftime2 = millis() + (b2ftimed);
    audio.stop();
    backToFrontrotationMode = 2;
  }
}


void backToFrontrotationStep2() {
  background(0);
  pushMatrix();
  translate(RightX+30, RightY-90);
  rotate(PI);
  tint(255, RightDim);
  image(right,0, 0, RightWidth, RightHeight);
  popMatrix();
  tint(255, LeftDim);
  image(left,0, 0, LeftWidth, LeftHeight);

  if (millis() > b2ftime2) {
    b2ftime3 = millis() + b2ftimed; 
    audio.stop(); 
    backToFrontrotationMode = 3;
  }
}



void backToFrontrotationStep3() {
  background(0);
  pushMatrix();
  translate(LeftX+20, LeftY);
  rotate(4*PI/5);
  tint(255, LeftDim);
  image(left,0, 0, LeftWidth, LeftHeight);
  popMatrix();

  if (millis() > b2ftime3) {
    b2ftime4 = millis() + (b2ftimed); 
    audio.stop();
    backToFrontrotationMode = 4;
  }
}


void backToFrontrotationStep4(){
  background(0);
  pushMatrix();
  translate(LeftX+10, LeftY-30);
  rotate(PI);
  tint(255, RightDim);
  image(right,0, 0, RightWidth, RightHeight);
  popMatrix();
  RightX = LeftX;
  RightY = LeftY;
  pushMatrix();
  translate(RightX+10, RightY+10);
  rotate(PI);
  tint(255, 255);
  image(left, 0, 0, LeftWidth, LeftHeight);
  popMatrix();


  if (millis() > b2ftime4){
    time5 = millis() + b2ftimed*3;
    RightDim = LeftDim = 255;
    LeftX = 260;
    RightX = 260;
    LeftY = 300-10;
    RightY = 300+30;
    audio.stop();
    mode = 6;
  }
}
